Get All Members of the Repository
GET/api/v5/repos/:owner/:repo/collaborators
Request
Path Parameters
owner stringrequired
Repository space address (organization or individual's address path)
repo stringrequired
Repository path (path)
Query Parameters
access_token stringrequired
User authorization code
page integer
Current page number: defaults to 1
per_page integer
The number of items per page, with a maximum of 100. The default is 20.
Responses
- 200
Successful Response
Response Headers
- application/json
- Schema
- Example (auto)
- 1
Schema
- Array [
- ]
idstring
namestring
usernamestring
nick_namenull
statenull
avatarnull
avatar_urlnull
emailnull
name_cnnull
web_urlstring
access_levelnull
expires_atnull
limitednull
typestring
last_ownernull
is_current_source_membernull
last_source_ownernull
join_waynull
source_namenull
member_rolesnull
iam_idnull
committer_system_fromnull
permissions object
pullnull
pushnull
admininteger
[
{
"id": "string",
"name": "string",
"username": "string",
"web_url": "string",
"type": "string",
"permissions": {
"admin": 0
}
}
]
Successful Example
{
"id": "708",
"name": "Lzm_0916",
"username": "Lzm_0916",
"nick_name": null,
"state": null,
"avatar": null,
"avatar_url": null,
"email": null,
"name_cn": null,
"web_url": "https://test.gitcode.net/Lzm_0916",
"access_level": null,
"expires_at": null,
"limited": null,
"type": "ProjectMember",
"last_owner": null,
"is_current_source_member": null,
"last_source_owner": null,
"join_way": null,
"source_name": null,
"member_roles": null,
"iam_id": null,
"committer_system_from": null,
"permissions": {
"pull": null,
"push": null,
"admin": true
}
}